




#ifndef Wagnis_Province_h
#define Wagnis_Province_h

#include "WagnisPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/MovableEntity.h"
#include "graphics/Billboard.h"
#include <vector>


namespace orxonox
{
    class _WagnisExport WagnisProvince : public MovableEntity
    {
    public:
        WagnisProvince(Context*);
        virtual ~WagnisProvince();
        virtual void XMLPort(Element&,XMLPort::Mode);
        void addMarkerBillboard(Billboard*);
        Billboard* getMarkerBillboard(unsigned int) const;

        void setOwner_ID(int);
        void setTroops(int);
        void setID(int);
        void setContinent(int);

        int getOwner_ID() const;
        int getTroops() const;
        int getID() const;
        int getContinent() const;

        void addNeighbor(WagnisProvince*);

    private:
        int owner_ID;
        int troops;
        int ID;
        int continent;
        std::vector<WagnisProvince*> neighbors;
        Billboard* markerBillboard;
    };
}


#endif
